Skip to main content
Available in🇮🇳 India
You can create Orders and link them to payments. Orders APIs are used to create, update and retrieve details of Orders. Also, you can retrieve details of payments made towards these Orders.
Fork the Razorpay Postman Public Workspace and try the Orders APIs using your Test API Keys. Run in Postman

Create an Order

POST /v1/ordersCreates an order by providing basic details such as amount and currency.

Fetch All Orders

GET /v1/ordersRetrieves details of all the orders.

Fetch All Orders (Example 1)

GET /v1/orders?expand[]=paymentsRetrieves details of all the orders and expands the payments object.

Fetch All Orders (Example 2)

GET /v1/orders?expand[]=payments.cardRetrieves details of all the orders and expands cards parameter in the payments object.

Fetch Order With ID

GET /v1/orders/:idRetrieves details of a particular order.

Fetch All Payments for an Order

GET /v1/orders/:id/paymentsRetrieves all the payments made for an order.

Update an Order

PATCH /v1/orders/:idModifies an existing order.